.container {
  position: relative;
  display: inline-block;
  z-index: 1;
}

@keyframes fadein {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

.content {
  position: absolute;
  border: 2px solid #000;
  min-width: 100%;
  animation: fadein 0.3s;
  z-index: 3;
}

.content-bottom {
  left: 0;
  top: calc(100% + 50%);
  min-height: 100%;
}

.content-bottom:before {
  display: block;
  content: '';
  width: 40px;
  height: 40px;
  transform: rotate(45deg) translateX(-50%);
  background-color: red;
  position: absolute;
  top: 0;
  left: 12%;
  z-index: -1;
}

.content-top {
  left: 0;
  bottom: calc(100% + 50%);
  min-height: 100%;
}

.content-left {
  top: 50%;
  transform: translate(-125%, -50%);
}

.content-right {
  top: 50%;
  transform: translate(35%, -50%);
}
